#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x94,0x6F,0x00,0x45,0xB5,0x85,0x4B,0xCA,0x64,0x97,0x7B,0x6F,
		0x5A,0x74,0x36,0x8C,0xF5,0x05,0x53,0xB5,0x36,0x55,0x86,0x2F,
		0x11,0xBF,0xD9,0x98,0x4B,0x3D,0x61,0x32,0xAD,0xD5,0x0A,0x8B,
		0x68,0x11,0xE3,0x05,0x24,0x8A,0x13,0x2C,0x77,0x81,0x60,0xE3,
		0x13,0xD3,0x47,0xE7,0xD0,0x6A,0xFD,0x24,0xEA,0x4D,0xCF,0x65,
		0xCF,0x97,0x55,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
